<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@0017=16</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>Don't enable this cheat during the loading of the game from cassette tape to prevent any problems</comment>
    <script state="on">
      <action>temp0 =maincpu.pb@1192</action>
      <action>temp1 =maincpu.pb@1874</action>
      <action>temp2 =maincpu.pb@1A95</action>
    </script>
    <script state="run">
      <action>maincpu.pb@1192=60</action>
      <action>maincpu.pb@1874=60</action> <!-- 1st = Missile, 2nd = Enemy -->
      <action>maincpu.pb@1A95=60</action> <!-- Fire -->
    </script>
    <script state="off">
      <action>maincpu.pb@1192=temp0 </action>
      <action>maincpu.pb@1874=temp1 </action>
      <action>maincpu.pb@1A95=temp2 </action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire">
    <script state="run">
      <action>maincpu.pb@0026=00|(maincpu.pb@0026 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@001B=0B</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@001C=0B</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
